#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdint.h>
#include <spi.h>


typedef struct __attribute__((__packed__)) s_configBlock {
    char deviceName[16];
    uint8_t macAddress[6];
    char watchdogTopic[64];
    char startupTopic[64];
    char statusTopic[64];
    char mbusDataTopic[64];
} t_configBlock;

void configInit();

#endif /* _CONFIG_H_ */
